<div ng-switch="zsDashboardWidgetSearch.getState()">
  <zs-dashboard-widget-search-select-list ng-switch-when="list"
    on-search-select="zsDashboardWidgetSearch.handleSearchSelect($search)"
    widget-title="zsDashboardWidgetSearch.getWidgetTitle($getter)"
    widget-loading="zsDashboardWidgetSearch.isWidgetLoading({ $getter: $getter })"
    filter-query="zsDashboardWidgetSearch.filterQuery()" data-compact="zsDashboardWidgetSearch.compact()">
  </zs-dashboard-widget-search-select-list>

  <zs-dashboard-widget-search-result ng-switch-when="search"
    widget-title="zsDashboardWidgetSearch.getWidgetTitle($getter)"
    widget-loading="zsDashboardWidgetSearch.isWidgetLoading({ $getter: $getter })"
    widget-data="zsDashboardWidgetSearch.widgetData()"
    on-data-change="zsDashboardWidgetSearch.onDataChange({ $newData: $data })"
    filter-query="zsDashboardWidgetSearch.filterQuery()" data-compact="zsDashboardWidgetSearch.compact()"
    data-settings="zsDashboardWidgetSearch.settings()"
    data-widget-id="zsDashboardWidgetSearch.widgetId()"></zs-dashboard-widget-search-result>
</div>